/*Copyright 2011 indiandragon

This file is part of j2me2AB.

J2meAB is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

j2me2AB is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with j2me2AB.  If not, see <http://www.gnu.org/licenses/>.
*/

package javax.microedition.lcdui;

public interface Choice {

	public static final int EXCLUSIVE = 0;
	public static final int IMPLICIT = 1;
	public static final int MULTIPLE = 2;
	public static final int POPUP = 3;

	public static int TEXT_WRAP_DEFAULT = 0;
	public static int TEXT_WRAP_OFF = 2;
	public static int TEXT_WRAP_ON = 1;

	public int append(String stringPart, Image imagePart);

	public void delete(int elementNum);

	public void deleteAll();

	public int getFitPolicy();

	public Font getFont(int elementNum);

	public Image getImage(int elementNum);

	public int getSelectedFlags(boolean[] selectedArray_return);

	public int getSelectedIndex();

	public String getString(int elementNum);

	public void insert(int elementNum, String stringPart, Image imagePart);

	public boolean isSelected(int elementNum);

	public void set(int elementNum, String stringPart, Image imagePart);

	public void setFitPolicy(int fitPolicy);

	public void setFont(int elementNum, Font font);

	public void setSelectedFlags(boolean[] selectedArray);

	public void setSelectedIndex(int elementNum, boolean selected);

	public int size();
}
